Genivia - ISAPI_SoapServerFactory Class Reference

|  | Home | Documentation | ISAPI_SoapServerFactory Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ISAPI_SoapServerFactory Class Reference

`#include <ISAPI_SoapServerFactory.h>`

Collaboration diagram for ISAPI_SoapServerFactory:
[legend]

## Public Member Functions
void | shutdown ()
const mod_gsoap_interface * | getInterface (const char *pszDll)
const char * | getLastError ()
| return the error message if the last operation failed. More...

## Static Public Member Functions
static ISAPI_SoapServerFactory * | instance ()
| it is a singleton More...

## Protected Member Functions
| ISAPI_SoapServerFactory ()
| ~ISAPI_SoapServerFactory ()
bool | GetEntryPoints ()

## Protected Attributes
class DllMap * | m_pDlls
std::string | m_strError
CRITICAL_SECTION | m_cs

## Static Protected Attributes
static ISAPI_SoapServerFactory * | m_pInstance = NULL

## Detailed Description

Factory object that creates the appropriate server for a given QueryString. See documentation of the createServer function for details of how the QueryString is evaluated.

## Constructor & Destructor Documentation

ISAPI_SoapServerFactory::ISAPI_SoapServerFactory | ( |  | ) |
| protected

ISAPI_SoapServerFactory::~ISAPI_SoapServerFactory | ( |  | ) |
| protected

## Member Function Documentation

bool ISAPI_SoapServerFactory::GetEntryPoints | ( |  | ) |
| protected

const mod_gsoap_interface * ISAPI_SoapServerFactory::getInterface | ( | const char * | pszDll | ) |

Returns
  the function pointers of this dll if they could be loaded and found, else NULL.

const char * ISAPI_SoapServerFactory::getLastError | ( |  | ) |

return the error message if the last operation failed.

ISAPI_SoapServerFactory * ISAPI_SoapServerFactory::instance | ( |  | ) |
| static

it is a singleton

void ISAPI_SoapServerFactory::shutdown | ( |  | ) |

## Member Data Documentation

CRITICAL_SECTION ISAPI_SoapServerFactory::m_cs
| protected

class DllMap* ISAPI_SoapServerFactory::m_pDlls
| protected

ISAPI_SoapServerFactory * ISAPI_SoapServerFactory::m_pInstance = NULL
| staticprotected

std::string ISAPI_SoapServerFactory::m_strError
| protected

The documentation for this class was generated from the following files:

- ISAPI_SoapServerFactory.h
- ISAPI_SoapServerFactory.cpp